// component/SubjectTreeChooserNodeItem/SubjectTreeChooserNodeItem.js
import * as UTIL from '../../utils/util.js';
import * as API from '../../utils/API.js';
const app = getApp()
Component({
  properties: {
      type: Object,
      popupVisible:false,
      subjects: {},
      observer: function (newVal, oldVal) {}
  },
  observers: {
    'subjects': function(val) {
      // this.selectComponent('#tabs').resize();
    },
    'popupVisible': function(val) {
    }
  },
  /**
   * 页面的初始数据
   */
  data: {
  },
  /**
   * 组件的方法列表
   */
  methods: {
    open(e){
      console.log(e);
    },
  }
})